"use strict";
this.name = "solos_alt_conditions";
this.author = "Redspear";
this.copyright = "CC-by-nc-sa-3.0";
this.description = "Determines where alt stations will appear";
this.version = "1.1";

this.allowSpawnShip = function(shipKey) {
    if (shipKey == "alt-coriolis_station") {
        if (system.info.economy =="2" || system.info.economy =="7") {
             return true; // Limited to 'poor' economies
        } else {
             return false; // Otherwise not allowed
        }
    }
	if (shipKey == "alt-dodo_station" || shipKey == "alt-ico_station") {
        if (system.info.inhabitants != "Human Colonials") {
             return true; // Limited to 'alien' systems
        } else {
             return false; // Otherwise not allowed
        }
    }
    return true; // Allows other stations to appear
}
